## libkpeople 0.2.1

=== CMakeLists.txt ===
project (kpeople)

option(ENABLE_EXAMPLES "Enable building of examples" OFF)
option(KDE4_BUILD_TESTS "Enable building of tests" OFF)

set (CMAKE_MODULE_PATH
     "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules"
     ${CMAKE_MODULE_PATH}
)

set (KDE_MIN_VERSION "4.10.1")

set(KPEOPLE_VERSION_MAJOR 0)
set(KPEOPLE_VERSION_MINOR 2)
set(KPEOPLE_VERSION_PATCH 1)

set(KPEOPLE_VERSION "${KPEOPLE_VERSION_MAJOR}.${KPEOPLE_VERSION_MINOR}.${KPEOPLE_VERSION_PATCH}")
set(KPEOPLE_SOVERSION 3)

find_package (KDE4 ${KDE_MIN_VERSION} REQUIRED)
find_package (KdepimLibs REQUIRED)

include (KDE4Defaults)
include (MacroLibrary)

include_directories (${KDE4_INCLUDES}
                     ${CMAKE_CURRENT_SOURCE_DIR}
                     ${CMAKE_CURRENT_BINARY_DIR}
                     ${KDEPIMLIBS_INCLUDE_DIRS}
)

if(KdepimLibs_VERSION_MINOR GREATER 11)
    add_definitions(-DHAVE_KDEPIM_ATLEAST_412)
endif()

add_subdirectory (src)
add_subdirectory (pixmaps)

configure_file(cmake/KPeopleConfig.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/cmake/KPeopleConfig.cmake @ONLY)

macro_write_basic_cmake_version_file(${CMAKE_CURRENT_BINARY_DIR}/cmake/KPeopleConfigVersion.cmake
        ${KPEOPLE_VERSION_MAJOR} ${KPEOPLE_VERSION_MINOR} ${KPEOPLE_VERSION_PATCH})

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/cmake/KPeopleConfig.cmake
              ${CMAKE_CURRENT_BINARY_DIR}/cmake/KPeopleConfigVersion.cmake
        DESTINATION ${LIB_INSTALL_DIR}/cmake/KPeople)
find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory( po )

=== pixmaps/CMakeLists.txt ===
INSTALL (FILES dummy_avatar.png DESTINATION ${DATA_INSTALL_DIR}/kpeople/)

=== po/CMakeLists.txt ===
add_subdirectory( bs )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( fr )
add_subdirectory( hu )
add_subdirectory( lt )
add_subdirectory( nl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ru )
add_subdirectory( sk )
add_subdirectory( sl )
add_subdirectory( sv )
add_subdirectory( uk )

=== src/CMakeLists.txt ===
include_directories (${CMAKE_CURRENT_BINARY_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}
)

if (ENABLE_EXAMPLES)
  add_subdirectory(examples)
endif (ENABLE_EXAMPLES)
if (KDE4_BUILD_TESTS)
  add_subdirectory(autotests)
endif (KDE4_BUILD_TESTS)
# add_subdirectory(declarative)
add_subdirectory(plugins)
add_subdirectory(widgets)


kde4_add_library (kpeople    SHARED
      global.cpp
      metacontact.cpp
    abstractpersonaction.cpp
    persondata.cpp
#     matchessolver.cpp
#     match.cpp
    personsmodel.cpp
    personpluginmanager.cpp
    personmanager.cpp
    basepersonsdatasource.cpp
    allcontactsmonitor.cpp
    contactmonitor.cpp
    defaultcontactmonitor.cpp
)

target_link_libraries (kpeople
                       ${QT_QTCORE_LIBRARIES}
                       ${QT_QTSQL_LIBRARIES}
                       ${KDE4_KIO_LIBS}
                       ${KDEPIMLIBS_AKONADI_LIBS} #can be removed when we remove temp bodge above
                       ${KDEPIMLIBS_KABC_LIBS}
)

set_target_properties (kpeople PROPERTIES VERSION ${KPEOPLE_VERSION} SOVERSION ${KPEOPLE_SOVERSION})

if (MSVC)
    set_target_properties (kpeople PROPERTIES
                           OUTPUT_NAME libkpeople
    )
endif (MSVC)

# Install:
install (TARGETS kpeople
         ${INSTALL_TARGETS_DEFAULT_ARGS}
)

install (FILES
            global.h
            personsmodel.h
            persondata.h
            kpeople_export.h
            abstractpersonaction.h
            basepersonsdatasource.h
            allcontactsmonitor.h
            contactmonitor.h
         DESTINATION ${INCLUDE_INSTALL_DIR}/kpeople/
         COMPONENT Devel
)

install (FILES
            KPeople/AbstractPersonAction
            KPeople/AllContactsMonitor
            KPeople/BasePersonsDataSource
            KPeople/ContactMonitor
            KPeople/PersonData
            KPeople/PersonsModel
         DESTINATION ${INCLUDE_INSTALL_DIR}/KPeople
         COMPONENT Devel
)

install (FILES
         kpeople_data_source.desktop
         kpeople_plugin.desktop
         DESTINATION
         ${SERVICETYPES_INSTALL_DIR}
)

=== po/sk/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( sk ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== src/autotests/CMakeLists.txt ===
kde4_add_unit_test(persondatatest persondatatests.cpp fakecontactsource.cpp)
target_link_libraries(persondatatest
    ${QT_QTCORE_LIBRARY}
    ${QT_QTTEST_LIBRARY}
    ${KDEPIMLIBS_KABC_LIBS}
    kpeople)

# add_test(PersonDataTests persondatatest)

=== src/plugins/akonadi/CMakeLists.txt ===
set (akonadi_source_plugin_SRCS
     akonadidatasource.cpp
)

kde4_add_plugin (akonadi_kpeople_plugin
                 ${akonadi_source_plugin_SRCS}
)

target_link_libraries (akonadi_kpeople_plugin
    ${QT_LIBRARIES}
    ${KDEPIMLIBS_AKONADI_LIBS}
    ${KDEPIMLIBS_KABC_LIBS}
    kpeople
)

# Install:
install (TARGETS akonadi_kpeople_plugin
         DESTINATION ${PLUGIN_INSTALL_DIR}
)

install (FILES akonadi_kpeople_plugin.desktop
         DESTINATION ${SERVICES_INSTALL_DIR}
)

=== src/widgets/plugins/CMakeLists.txt ===
include_directories(..)

# Email plugin
# kde4_add_plugin(emaildetailswidgetplugin emaildetailswidget.cpp)
# target_link_libraries(emaildetailswidgetplugin ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${KDE4_KDECORE_LIBRARY} kpeople kpeoplewidgets)
#
# install(TARGETS emaildetailswidgetplugin DESTINATION ${PLUGIN_INSTALL_DIR})
# install(FILES emaildetailswidgetplugin.desktop DESTINATION ${SERVICES_INSTALL_DIR})
#
# #  Merge Plugin
# kde4_add_plugin(mergecontactswidgetplugin mergecontactswidget.cpp personpresentationwidget.cpp)
# target_link_libraries(mergecontactswidgetplugin ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${KDE4_KDECORE_LIBRARY} kpeople kpeoplewidgets)
#
# install(TARGETS mergecontactswidgetplugin DESTINATION ${PLUGIN_INSTALL_DIR})
# install(FILES mergecontactswidgetplugin.desktop DESTINATION ${SERVICES_INSTALL_DIR})
#
# # Phone plugin
# kde4_add_plugin(phonedetailswidgetplugin phonedetailswidget.cpp)
# target_link_libraries(phonedetailswidgetplugin ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${KDE4_KDECORE_LIBRARY} kpeople kpeoplewidgets)
#
# install(TARGETS phonedetailswidgetplugin DESTINATION ${PLUGIN_INSTALL_DIR})
# install(FILES phonedetailswidgetplugin.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
libkpeople (0.2.1-0ubuntu2) trusty; urgency=medium

  * Remove nepomuk from the package description. (LP: #1297943)
  * Remove useless build depends

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 01 Apr 2014 13:12:59 +0200

libkpeople (0.2.1-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 26 Feb 2014 12:57:52 +0100

libkpeople (0.2.0-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 18 Feb 2014 00:16:56 +0100

libkpeople (0.1.0-0ubuntu1) trusty; urgency=low

  * Initial Kubuntu release
  * Fix install files
  * Update debian/copyright
  * Fix package description

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 28 Oct 2013 18:17:08 +0100

libkpeople (0.0.80-1) UNRELEASED; urgency=low

  * Initial release
    Based on ubuntu recipe http://bazaar.launchpad.net/~blue-shell/blue-shell/libkpeople-ubuntu

 -- Diane Trout <diane@ghic.org>  Sat, 28 Sep 2013 20:16:14 -0700

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

%:
	dh $@ --with kde --dbg-package=libkpeople3-dbg --list-missing

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"

override_dh_auto_test:

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/unstable/libkpeople/([0-9.]+)/src/libkpeople-([0-9.]+).tar.bz2

## libkpeople 0.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 set(KPEOPLE_VERSION_MAJOR 0)
 set(KPEOPLE_VERSION_MINOR 2)
-set(KPEOPLE_VERSION_PATCH 1)
+set(KPEOPLE_VERSION_PATCH 2)
 
 set(KPEOPLE_VERSION "${KPEOPLE_VERSION_MAJOR}.${KPEOPLE_VERSION_MINOR}.${KPEOPLE_VERSION_PATCH}")
 set(KPEOPLE_SOVERSION 3)

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -2,13 +2,15 @@
 add_subdirectory( cs )
 add_subdirectory( da )
 add_subdirectory( de )
-add_subdirectory( el )
+add_subdirectory( fi )
 add_subdirectory( fr )
 add_subdirectory( hu )
 add_subdirectory( lt )
 add_subdirectory( nl )
+add_subdirectory( pl )
 add_subdirectory( pt )
 add_subdirectory( pt_BR )
+add_subdirectory( ro )
 add_subdirectory( ru )
 add_subdirectory( sk )
 add_subdirectory( sl )

=== src/examples/CMakeLists.txt ===
kde4_add_executable(contactlistwidgets contactlistwidgets.cpp)
target_link_libraries(contactlistwidgets ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} kpeople)

kde4_add_executable(personwidget personwidget.cpp)
target_link_libraries(personwidget ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} kpeople kpeoplewidgets)


# kde4_add_executable(loadcontact loadcontact.cpp)
# target_link_libraries(loadcontact ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${KDEPIMLIBS_KABC_LIBS} kpeople)

=== debian/changelog ===
libkpeople (0.2.2-2) unstable; urgency=medium

  * Update symbols file for possibly missing destructor (Closes: #753186)

 -- Diane Trout <diane@ghic.org>  Sun, 29 Jun 2014 22:09:21 -0700

libkpeople (0.2.2-1) unstable; urgency=medium

  * Initial release (Closes: #744004)
    Based on ubuntu recipe
    http://bazaar.launchpad.net/~blue-shell/blue-shell/libkpeople-ubuntu
  * Include packaging improvements from ubuntu release by Rohan Garg.
  * Add library_startswith_soname.patch. This forces the library realname
    to start with the soname
  * Add add-cmake-copying.patch to include license for cmake files.

 -- Diane Trout <diane@ghic.org>  Thu, 08 May 2014 21:06:36 -0700

=== debian/control ===
Source: libkpeople
Priority: optional
Maintainer: Diane Trout <diane@ghic.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kdelibs5-dev,
               kdepimlibs5-dev,
               libboost-dev,
               pkg-kde-tools (>= 0.9)
Standards-Version: 3.9.5
Section: libs
Homepage: http://www.kde.org
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/libkpeople.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/libkpeople.git

Package: libkpeople-dev
Section: libdevel
Architecture: any
Depends: libkpeople3 (= ${binary:Version}), kdepimlibs5-dev, ${misc:Depends}
Description: development files for libkpeople
 libkpeople allows grouping multiple accounts into a
 single identity.
 .
 This package contains development files.

Package: libkpeople3
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library providing access to and grouping for KDE contacts
 libkpeople allow grouping multiple accounts into a
 single identity.
 .
 This library allows you to read metadata and initiate
 various actions for a contact.

Package: libkpeople3-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libkpeople3 (= ${binary:Version}), ${misc:Depends}
Recommends: kdelibs5-dbg, nepomuk-core-dbg, libsoprano-dbg
Description: debug symbols for package libkpeople
 libkpeople allow grouping multiple accounts into a
 single identity.
 .
 This package provides debugging symbols for libkpeople.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 # Uncomment this to turn on verbose mode.
-export DH_VERBOSE=1
+# export DH_VERBOSE=1
 
 include /usr/share/dpkg/architecture.mk

## libkpeople 0.3.0

=== debian/changelog ===
libkpeople (0.3.0-2) unstable; urgency=medium

  * Update symbols file with other architecture build logs
    - also remove some spurious "s in the symbols file.

 -- Diane Trout <diane@ghic.org>  Mon, 25 May 2015 15:00:28 -0700

libkpeople (0.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove nepomuk dependencies as we now use baloo.
  * Remove add-cmake-copying.patch, now provided upstream.
  * Remove library_startswith_soname.patch applied upstream.
  * Rename libkpeople3 to libkpeople4 to match SONAME
  * Update libkpeople4 symbols file for 0.3.0
  * Split libkpeoplewidgets4 out from libkpeople and add a symbols
    file for it.
  * Split desktop files out from the libkpeople library
    into libkpeople-data.
    - hopefully this means fewer breaks/replaces in the future.
  * Add Breaks/Replaces to remove libkpeople3
  * Move akonadi_kpeople_plugin to libkpeople-plugins
  * Update Standards-Version to 3.9.6.0. No changes needed.
  * Update copyright file.
  * Update debian/watch file to use http://download.kde.org

 -- Diane Trout <diane@ghic.org>  Sat, 25 Apr 2015 20:42:19 -0700

=== debian/control ===
Source: libkpeople
Priority: optional
Maintainer: Diane Trout <diane@ghic.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kdelibs5-dev,
               kdepimlibs5-dev,
               libboost-dev,
               pkg-kde-tools (>= 0.9)
Standards-Version: 3.9.6
Section: libs
Homepage: http://www.kde.org
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/libkpeople.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/libkpeople.git

Package: libkpeople-dev
Section: libdevel
Architecture: any
Depends: libkpeople4 (= ${binary:Version}),
 libkpeoplewidgets4 (= ${binary:Version}),
 kdepimlibs5-dev,
 ${misc:Depends}
Description: development files for libkpeople
 libkpeople allows grouping multiple accounts into a
 single identity.
 .
 This package contains development files.

Package: libkpeople4
Architecture: any
Depends: libkpeople-data (= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
Description: Library providing access to and grouping for KDE contacts
 libkpeople allow grouping multiple accounts into a
 single identity.
 .
 This library allows you to read metadata and initiate
 various actions for a contact.

Package: libkpeoplewidgets4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library providing widgets to access and group KDE contacts
 libkpeople allow grouping multiple accounts into a
 single identity.
 .
 This library provides widgets to help manage contacts using
 the kpeople models.

Package: libkpeople-plugins
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkpeople3 (<< 0.3.0~)
Replaces: libkpeople3 (<< 0.3.0~)
Description: KPeople plugins for other compontents of KDE
 libkpeople allow grouping multiple accounts into a
 single identity.
 .
 This library provides a plugin for akonadi.

Package: libkpeople-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkpeople3 (<< 0.3.0~)
Replaces: libkpeople3 (<< 0.3.0~)
Description: Support files for used by libkpeople
 libkpeople allow grouping multiple accounts into a
 single identity.
 .
 This package contains plugins and service files to
 integrage kpeople support.

Package: libkpeople4-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libkpeople4 (= ${binary:Version}), ${misc:Depends}
Recommends: kdelibs5-dbg
Description: debug symbols for package libkpeople
 libkpeople allow grouping multiple accounts into a
 single identity.
 .
 This package provides debugging symbols for libkpeople.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 include /usr/share/dpkg/architecture.mk
 
 %:
-	dh $@ --with kde --dbg-package=libkpeople3-dbg --list-missing
+	dh $@ --with kde --dbg-package=libkpeople4-dbg --list-missing
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"

=== debian/watch ===
version=3
http://download.kde.org/unstable/libkpeople/([0-9.]+)/src/libkpeople-([0-9.]+).tar.bz2
